import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface EmailSenderConfig extends cdktf.TerraformMetaArguments {
    /**
    * Email address to send from
    *
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/email_sender#from_address EmailSender#from_address}
    */
    readonly fromAddress: string;
    /**
    * Name of sender
    *
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/email_sender#from_name EmailSender#from_name}
    */
    readonly fromName: string;
    /**
    * Mail domain to send from
    *
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/email_sender#subdomain EmailSender#subdomain}
    */
    readonly subdomain: string;
}
export declare class EmailSenderDnsRecords extends cdktf.ComplexComputedList {
    get fqdn(): string;
    get recordType(): string;
    get value(): string;
}
/**
* Represents a {@link https://www.terraform.io/docs/providers/okta/r/email_sender okta_email_sender}
*/
export declare class EmailSender extends cdktf.TerraformResource {
    static readonly tfResourceType: string;
    /**
    * Create a new {@link https://www.terraform.io/docs/providers/okta/r/email_sender okta_email_sender} Resource
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options EmailSenderConfig
    */
    constructor(scope: Construct, id: string, config: EmailSenderConfig);
    dnsRecords(index: string): EmailSenderDnsRecords;
    private _fromAddress?;
    get fromAddress(): string;
    set fromAddress(value: string);
    get fromAddressInput(): string | undefined;
    private _fromName?;
    get fromName(): string;
    set fromName(value: string);
    get fromNameInput(): string | undefined;
    get id(): string;
    get status(): string;
    private _subdomain?;
    get subdomain(): string;
    set subdomain(value: string);
    get subdomainInput(): string | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
